package com.yiboshi.science.service;

import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComEvaluationStandard;
import com.yiboshi.science.param.dto.ComBatchDTO;
import com.yiboshi.science.param.dto.ComEvaluationStandardDTO;
import com.yiboshi.science.param.query.ComEvaluationStandardQueryVO;

import java.util.List;

public interface ComEvaluationStandardService extends BaseService<ComEvaluationStandardQueryVO, ComEvaluationStandardDTO, ComEvaluationStandard> {

    ComEvaluationStandardDTO getEvaluationStandardById(String id);

    List<ComBatchDTO> getEvaluationYearBatchList();

    String insertEvaluationStandard(ComEvaluationStandardDTO dto);

    String updateEvaluationStandard(ComEvaluationStandardDTO dto);

    String deleteEvaluationStandard(String id);
}
